List Events
GET
/v1/calendar/events
const url = 'https://api.cloud.agentums.ru/v1/calendar/events?status=confirmed&limit=100';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.cloud.agentums.ru/v1/calendar/events?status=confirmed&limit=100' \ --header 'Authorization: Bearer <token>'Сами записи (не вхождения): серия здесь одна строка, а не сорок повторов.
Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела «Parameters»Query Parameters
Заголовок раздела «Query Parameters»status
Status
string
limit
Limit
integer
Responses
Заголовок раздела «Responses»Successful Response
Media typeapplication/json
EventList
object
items
required
Items
Array<object>
EventOutobject
all_day
All Day
boolean
description
Description
string
ends_at
required
Ends At
string format: date-time
id
required
Id
string format: uuid
location
Location
string
number
required
Number
integer
recurrence_label
Recurrence Label
string
reminders
Reminders
Array<integer>
rrule
Rrule
string
starts_at
required
Starts At
string format: date-time
status
Status
string
title
required
Title
string
tz
required
Tz
string
Example
{ "items": [ { "all_day": false, "description": "", "location": "", "recurrence_label": "", "rrule": "", "status": "confirmed" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}